`timescale 1ns/1ns
`define CLK_PERIOD 40

module ROM_tb;

	xsGSR xsGSR_INST(.GSR(1'b1));
	xsPWR xsPWR_INST(.PUR(1'b1));

	reg clk;
	reg [8:0]Address;
	reg Reset;
	reg OClockEn;
 
	integer i = 0;
 
	initial clk = 1;
	always #(`CLK_PERIOD/2) clk = ~clk;
	
	wire [7:0]Q;
 	
	SP_ROM SP_ROM(
		.OClock(clk), 
		.OClockEn(OClockEn),
		.Reset(Reset), 
		.Address(Address),
		.Q(Q)
	);
 
	initial begin
		Reset = 1;
		Address = 0;
		OClockEn = 0;
		#201;
		Reset =0;
		Address = 0; 
		#201;
		for(i=0;i<2048;i=i+1)begin
			#`CLK_PERIOD;
			OClockEn = 1;
			Address = Address + 1'b1;
		end
		OClockEn = 0;
		#(`CLK_PERIOD * 50);
		$stop;
	end
endmodule