`timescale 1ns/1ns
module ROM_test(
	clk,
	Rst_n,
	led,
	Q
);

	input clk;
	input Rst_n;
	output [15:0]Q;
	output led;
	
	reg [8:0]Address;
	reg OClockEn;
	wire Reset;

	reg [11:0]i;
 	
	SP_ROM SP_ROM(
		.OClock(clk), 
		.OClockEn(OClockEn),
		.Reset(Reset), 
		.Address(Address),
		.Q(Q)
	);
 
	reg [15:0]Reset_cnt = 0;
	reg Reset_n;

	//开发板上电无法自动复位，通过计数进行复位
	always@(posedge clk)
	if(Reset_cnt >= 12_499)
		Reset_n <= #1 Rst_n;
	else begin
		Reset_cnt <= #1 Reset_cnt + 1;
		Reset_n <= #1 0;
	end
	
	assign led = Reset_n;
	assign Reset = !Reset_n;
 
	always@(posedge clk or negedge Reset_n)
	if(!Reset_n)begin
		Address <= #1 9'd0;
		OClockEn <= #1 1'd0;
		i <= #1 12'd0;
	end
	else if(i<=2048)begin
		i <= #1 i+1;
		OClockEn <= #1 1;
		Address <= #1 Address + 1'b1;
	end
	else begin
		Address <= #1 9'd0;
		OClockEn <= #1 1'd0;
		i <= #1 12'd0;
	end

endmodule